Bug 1713160 - imapfilter version needs to be updated to support SNI (for Google's servers: "please fix your client")
Summary: imapfilter version needs to be updated to support SNI (for Google's servers: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imapfilter
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Andrea Veri
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/lefcha/imapfilter/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-23 03:13 UTC by mmn100
Modified: 2019-06-13 02:35 UTC (History)
2 users (show)

Fixed In Version: imapfilter-2.6.12-1.fc30 imapfilter-2.6.12-1.fc29 imapfilter-2.6.12-1.el7 imapfilter-2.6.12-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-05 01:34:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github lefcha imapfilter pull 185 0 None None None 2019-05-23 03:13:15 UTC

Description mmn100 2019-05-23 03:13:15 UTC
Description of problem:
The version of imapfilter in rawhide, 30 and 29 is incompatible with imap.google.com due to lack of SNI support. The user will be presented with an invalid TLS certificate if they try to connect to it.

Version-Release number of selected component (if applicable):
imapfilter-2.6.10-4.fc29.src.rpm

How reproducible:


Steps to Reproduce:
1. Use the following `config.lua` in `.imapfilter`: ```
server = IMAP {
    server = 'imap.gmail.com',
    ssl = 'tls1.2'
}
repeat
    …
until not server.INBOX:enter_idle()
```
2. Run imapfilter

Actual results:

An invalid certificate is presented to imapfilter stating "please fix your client":

> Server certificate subject: /OU=No SNI provided; please fix your client./CN=invalid2.invalid
> Server certificate issuer: /OU=No SNI provided; please fix your client./CN=invalid2.invalid
> Server certificate serial: FFFFFFFFFFFFFFFF
> Server key fingerprint: 90:…
> (R)eject, accept (t)emporarily or accept (p)ermanently?

Expected results:
A valid certificate

Additional info:
This was fixed upstream in v2.6.12. I compiled from upstream source and it works . See the fix at https://github.com/lefcha/imapfilter/pull/185 and the release at https://github.com/lefcha/imapfilter/releases/tag/v2.6.12

See bug 1611815 for a related issues affected by lack of SNI support.

Comment 1 Fedora Update System 2019-05-27 12:54:09 UTC
imapfilter-2.6.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8454500ace

Comment 2 Fedora Update System 2019-05-27 12:54:12 UTC
imapfilter-2.6.12-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b0b19a1273

Comment 3 Fedora Update System 2019-05-27 12:54:16 UTC
imapfilter-2.6.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c6ae50ac30

Comment 4 Fedora Update System 2019-05-27 12:54:21 UTC
imapfilter-2.6.12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0aa4c15824

Comment 5 Fedora Update System 2019-05-28 02:03:42 UTC
imapfilter-2.6.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c6ae50ac30

Comment 6 Fedora Update System 2019-05-28 02:27:59 UTC
imapfilter-2.6.12-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b0b19a1273

Comment 7 Fedora Update System 2019-05-28 02:48:56 UTC
imapfilter-2.6.12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0aa4c15824

Comment 8 Fedora Update System 2019-05-28 03:50:08 UTC
imapfilter-2.6.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8454500ace

Comment 9 Fedora Update System 2019-06-05 01:34:58 UTC
imapfilter-2.6.12-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-06-05 02:01:34 UTC
imapfilter-2.6.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-06-13 01:45:45 UTC
imapfilter-2.6.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-06-13 02:35:42 UTC
imapfilter-2.6.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.